net.sf.jasperreports.engine.export

## Class OccupiedGridCell

- java.lang.Object
- - net.sf.jasperreports.engine.export.JRExporterGridCell
  - - net.sf.jasperreports.engine.export.OccupiedGridCell

-     public class OccupiedGridCell
      extends JRExporterGridCell

  Version:
    $Id: OccupiedGridCell.java 6086 2013-04-19 12:29:19Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.JRExporterGridCell

      `TYPE_ELEMENT_CELL, TYPE_EMPTY_CELL, TYPE_OCCUPIED_CELL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccupiedGridCell(JRExporterGridCell occupier)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPrintElement` | `getElement()`
    `java.lang.String` | `getElementAddress()`
    `JRExporterGridCell` | `getOccupier()`
    `java.lang.String` | `getProperty(java.lang.String propName)`
    `GridCellSize` | `getSize()`
    `byte` | `getType()`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.JRExporterGridCell

      `getBackcolor, getBox, getCellBackcolor, getColSpan, getForecolor, getHeight, getRowSpan, getStyle, getWidth, setBox, setStyle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OccupiedGridCell

          public OccupiedGridCell(JRExporterGridCell occupier)

  - ### Method Detail

    - #### getSize

          public GridCellSize getSize()

      Specified by:
        `getSize` in class `JRExporterGridCell`

    - #### getOccupier

          public JRExporterGridCell getOccupier()

    - #### getType

          public byte getType()

      Specified by:
        `getType` in class `JRExporterGridCell`

    - #### getElement

          public JRPrintElement getElement()

      Specified by:
        `getElement` in class `JRExporterGridCell`

    - #### getElementAddress

          public java.lang.String getElementAddress()

      Specified by:
        `getElementAddress` in class `JRExporterGridCell`

    - #### getProperty

          public java.lang.String getProperty(java.lang.String propName)

      Specified by:
        `getProperty` in class `JRExporterGridCell`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com